> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ach.netevia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Refund Details ( Refunds )

> This API returns the details of a refund request.



## OpenAPI

````yaml https://api.grailpay.com/docs?api-docs.json get /3p/api/v1/refunds/{refund_uuid}
openapi: 3.0.0
info:
  title: GrailPay ACH API
  description: API Documentation for moving funds via ACH using the GrailPay ACH API
  version: 2025.12.19.2
servers:
  - url: https://api.grailpay.com
    description: Production environment
  - url: https://api-sandbox.grailpay.com
    description: Sandbox environment
security: []
tags:
  - name: Users
    description: >-
      API Endpoints used for the onboarding and managing People, Businesses, and
      Merchants.
  - name: Transactions
    description: API Endpoints used for creating and managing transactions.
  - name: Payouts
    description: API Endpoints used for fetching payout information.
  - name: Refunds
    description: API Endpoints used for creating and retrieving refunds.
  - name: Bank Accounts
    description: API Endpoints used for adding and managing bank accounts.
  - name: Webhooks
    description: API Endpoints used for registering and de-registering webhooks.
  - name: Billing
    description: API Endpoints used for retrieving billing information.
  - name: Stable
    description: Stable, up-to-date APIs that are recommended for current integration.
  - name: Sunsetting
    description: Sunsetting APIs that are still supported but scheduled for deprecation.
  - name: Deprecated
    description: Deprecated APIs that are no longer supported and should be removed.
  - name: SUNSETTING
    description: SUNSETTING
paths:
  /3p/api/v1/refunds/{refund_uuid}:
    get:
      tags:
        - Refunds
        - Stable
      summary: Get Refund Details ( Refunds )
      description: This API returns the details of a refund request.
      operationId: 0a6e136f79e4acc012c4c34259adb84e
      parameters:
        - name: refund_uuid
          in: path
          description: Refund UUID
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Refund details retrieved successfully
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: true
                  message:
                    type: string
                  data:
                    properties:
                      transaction_uuid:
                        type: string
                        format: uuid
                        example: 9c2af585-9fea-4c47-ac12-e00f42943cd8
                      refund_uuid:
                        type: string
                        format: uuid
                        example: 9c2b3589-160b-45a6-bbad-2694fdd8aeae
                      amount:
                        type: number
                        format: float
                        example: 10
                      status:
                        type: string
                        example: REFUND_COMPLETE
                      client_reference_id:
                        type: string
                        example: infiniRefundW@12
                        nullable: true
                      payer_uuid:
                        type: string
                        format: uuid
                        example: 4a9d2b92-55e6-4234-8732-a4296f73ee21
                        nullable: true
                      payee_uuid:
                        type: string
                        format: uuid
                        example: 7a70d56c-ee4d-43f1-9021-fc060fb4c460
                        nullable: true
                      capture_delay_days:
                        type: integer
                        example: 2
                      payout_delay_days:
                        type: integer
                        example: 5
                      created_at:
                        type: string
                        format: datetime
                        example: '2024-03-13T12:00:00Z'
                      updated_at:
                        type: string
                        format: datetime
                        example: '2024-03-14T12:00:00Z'
                      failure_code:
                        type: string
                        example: R01
                        nullable: true
                      failure_reason:
                        type: string
                        example: Insufficient Funds
                        nullable: true
                    type: object
                  errors:
                    type: string
                    example: null
                    nullable: true
                  error_code:
                    type: string
                    example: null
                    nullable: true
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/Error401Unauthorized'
                  - $ref: '#/components/schemas/Error401InvalidTokenStructure'
                  - $ref: '#/components/schemas/Error401InvalidTokenData'
        '404':
          description: Refund not found
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Refund not found.
                  data:
                    type: object
                    example: null
                    nullable: true
                  errors:
                    type: array
                    items:
                      type: string
                    example: null
                    nullable: true
                  error_code:
                    type: string
                    example: null
                    nullable: true
                type: object
      security:
        - ApiToken: []
components:
  schemas:
    Error401Unauthorized:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid Token
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenStructure:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The token should be in the following format:
            ID|TOKEN_VALUE. Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenData:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The ID in the token must be an integer.
            Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
  securitySchemes:
    ApiToken:
      type: http
      description: >-
        Token-based authentication using Authorization: Bearer <YOUR_API_KEY>
        provided by the GrailPay Support Team.
      bearerFormat: Token
      scheme: bearer

````